import { Vector2 } from './Vector2.js';
export enum Direction {
  Up = 'up',
  Down = 'down',
  Left = 'left',
  Right = 'right',
  UpLeft = 'up-left',
  UpRight = 'up-right',
  DownLeft = 'down-left',
  DownRight = 'down-right',
  None = 'none'
}

export interface ITouchData {
  direction: Direction;
  speedFactor: number; // 0.8 - 1.2
  normalizedPosition: Vector2; // 归一化后的位置
}
